<template>
  <div class="menuBox">
    <div v-if="parentData == '房产'" class="cellMenu cellMenu1">房产</div>
    <div v-if="parentData == '土地'" class="cellMenu cellMenu2">土地</div>
    <div v-if="parentData == '无形类资产'" class="cellMenu cellMenu3">无形类资产</div>
  </div>
</template>

<script setup>
import { ref, defineProps, defineEmits } from 'vue';
defineProps({
  parentData: {
    type: String,
    default: null
  }
});
</script>

<style lang="less">
.menuBox {
  .cellMenu {
    width: 80px;
    height: 22px;
    opacity: 1;
    border-radius: 4px;
    text-align: center;
  }

  .cellMenu3 {
    border: 1px solid rgba(136, 114, 224, 1);
    color: rgba(139, 23, 255, 1);
    background: rgba(230, 232, 255, 1);
  }

  .cellMenu2 {
    color: rgba(219, 163, 33, 1);
    background: rgba(255, 247, 230, 1);
    border: 1px solid rgba(224, 188, 114, 1);
  }

  .cellMenu1 {
    border: 1px solid rgba(114, 224, 177, 1);
    color: rgba(36, 199, 123, 1);
    background: rgba(230, 255, 241, 1);
  }
}
</style>
